# -*- coding: utf-8 -*-
from __future__ import unicode_literals
from . import __version__ as app_version

app_name = "justworks_erpnext"
app_title = "Justworks ERPNext Connector"
app_publisher = "Studio Infinity"
app_description = "An add-on for ERPNext which allows Justworks invoices to be loaded as Journal Entry documents."
app_icon = "octicon octicon-cross-reference"
app_color = "aqua"
app_email = "code@studioinfinity.org"
app_license = "GNU General Public License (v3)"

fixtures = ['Custom Field']
accounting_dimension_doctypes = ['JW Employee Allocation', 'JW Import']

after_install = "justworks_erpnext.install.after_install"

# Includes in <head>
# ------------------

# include js, css files in header of desk.html
# app_include_css = "/assets/justworks_erpnext/css/justworks_erpnext.css"
# app_include_js = "/assets/justworks_erpnext/js/justworks_erpnext.js"

# include js, css files in header of web template
# web_include_css = "/assets/justworks_erpnext/css/justworks_erpnext.css"
# web_include_js = "/assets/justworks_erpnext/js/justworks_erpnext.js"

# include custom scss in every website theme (without file extension ".scss")
# website_theme_scss = "justworks_erpnext/public/scss/website"

# include js, css files in header of web form
# webform_include_js = {"doctype": "public/js/doctype.js"}
# webform_include_css = {"doctype": "public/css/doctype.css"}

# include js in page
# page_js = {"page" : "public/js/file.js"}

# include js in doctype views
# doctype_js = {"doctype" : "public/js/doctype.js"}
# doctype_list_js = {"doctype" : "public/js/doctype_list.js"}
# doctype_tree_js = {"doctype" : "public/js/doctype_tree.js"}
# doctype_calendar_js = {"doctype" : "public/js/doctype_calendar.js"}

# Home Pages
# ----------

# application home page (will override Website Settings)
# home_page = "login"

# website user home page (by Role)
# role_home_page = {
#	"Role": "home_page"
# }

# Generators
# ----------

# automatically create page for each record of this doctype
# website_generators = ["Web Page"]

# Installation
# ------------

# before_install = "justworks_erpnext.install.before_install"

# Desk Notifications
# ------------------
# See frappe.core.notifications.get_notification_config

# notification_config = "justworks_erpnext.notifications.get_notification_config"

# Permissions
# -----------
# Permissions evaluated in scripted ways

# permission_query_conditions = {
# 	"Event": "frappe.desk.doctype.event.event.get_permission_query_conditions",
# }
#
# has_permission = {
# 	"Event": "frappe.desk.doctype.event.event.has_permission",
# }

# DocType Class
# ---------------
# Override standard doctype classes

# override_doctype_class = {
# 	"ToDo": "custom_app.overrides.CustomToDo"
# }

# Document Events
# ---------------
# Hook on document methods and events

# doc_events = {
# 	"*": {
# 		"on_update": "method",
# 		"on_cancel": "method",
# 		"on_trash": "method"
#	}
# }

# Scheduled Tasks
# ---------------

# scheduler_events = {
# 	"all": [
# 		"justworks_erpnext.tasks.all"
# 	],
# 	"daily": [
# 		"justworks_erpnext.tasks.daily"
# 	],
# 	"hourly": [
# 		"justworks_erpnext.tasks.hourly"
# 	],
# 	"weekly": [
# 		"justworks_erpnext.tasks.weekly"
# 	]
# 	"monthly": [
# 		"justworks_erpnext.tasks.monthly"
# 	]
# }

# Testing
# -------

# before_tests = "justworks_erpnext.install.before_tests"

# Overriding Methods
# ------------------------------
#
# override_whitelisted_methods = {
# 	"frappe.desk.doctype.event.event.get_events": "justworks_erpnext.event.get_events"
# }
#
# each overriding function accepts a `data` argument;
# generated from the base implementation of the doctype dashboard,
# along with any modifications made in other Frappe apps
# override_doctype_dashboards = {
# 	"Task": "justworks_erpnext.task.get_dashboard_data"
# }

# exempt linked doctypes from being automatically cancelled
#
# auto_cancel_exempted_doctypes = ["Auto Repeat"]

